PostgreSQL 7.4beta4 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# DROP SEQUENCE

## Name

DROP SEQUENCE -- remove a sequence

## Synopsis

    DROP SEQUENCE name [, ...] [ CASCADE | RESTRICT ]

## Description

`DROP SEQUENCE` removes sequence number generators.

## Parameters

name

  The name (optionally schema-qualified) of a sequence.

CASCADE

  Automatically drop objects that depend on the sequence.

RESTRICT

  Refuse to drop the sequence if any objects depend on it. This is the default.

## Examples

To remove the sequence serial:

    DROP SEQUENCE serial;

## Compatibility

There is no `DROP SEQUENCE` statement in the SQL standard.

## See Also

CREATE SEQUENCE

Prev | Home | Next
DROP SCHEMA | Up | DROP TABLE